# esp32_BNO08x: bno08x_magf_t Struct Reference

Loading...
Searching...
No Matches
bno08x_magf_t Struct Reference

Struct to represent magnetic field data (units in uTesla) More...

`#include <BNO08xGlobalTypes.hpp>`

## Public Member Functions

| bno08x_magf_t ()
bno08x_magf_t & | operator= (const sh2_MagneticField_t &source)
bno08x_magf_t & | operator= (const sh2_MagneticFieldUncalibrated_t &source)

## Public Attributes

float | x
float | y
float | z
BNO08xAccuracy | accuracy

## Detailed Description

Struct to represent magnetic field data (units in uTesla)

## Constructor & Destructor Documentation

## bno08x_magf_t()

bno08x_magf_t::bno08x_magf_t | ( |  | ) |

inline

## Member Function Documentation

## operator=() [1/2]

bno08x_magf_t & bno08x_magf_t::operator= | ( | const sh2_MagneticField_t & | source | ) |

inline

## operator=() [2/2]

bno08x_magf_t & bno08x_magf_t::operator= | ( | const sh2_MagneticFieldUncalibrated_t & | source | ) |

inline

## Member Data Documentation

## accuracy

BNO08xAccuracy bno08x_magf_t::accuracy

## x

float bno08x_magf_t::x

## y

float bno08x_magf_t::y

## z

float bno08x_magf_t::z

The documentation for this struct was generated from the following file:

- include/BNO08xGlobalTypes.hpp